"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const chalk_1 = require("chalk");
const argv_1 = __importDefault(require("./services/argv"));
const getObject_1 = __importDefault(require("../getObject"));
const evaluation_1 = require("./evaluation");
const log_1 = require("../log");
const lexical_1 = require("./lexical");
const substitutions = (str, builtVars, path) => {
    const { keepNotVar } = argv_1.default.getConfig();
    return str.replace(lexical_1.vars, (match, _groupNotVar, flag, groupVar, groupVarValue) => {
        if (flag) {
            return keepNotVar ? _groupNotVar : groupVar;
        }
        const trimVarPath = groupVarValue.trim();
        if (trimVarPath.startsWith('.')) {
            return groupVar;
        }
        let value;
        if ((0, lexical_1.isVariable)(trimVarPath)) {
            value = (0, getObject_1.default)(trimVarPath, builtVars);
        }
        else {
            value = (0, evaluation_1.evalExp)(trimVarPath, builtVars);
        }
        if (value === undefined) {
            value = match;
            log_1.log.warn(`Variable ${(0, chalk_1.bold)(trimVarPath)} not found${path ? ` in ${(0, chalk_1.bold)(path)}` : ''}`);
        }
        return value;
    });
};
module.exports = substitutions;
//# sourceMappingURL=substitutions.js.map