import type Token from 'markdown-it/lib/token';
import type { VideoService } from './const';
export declare type VideoToken = Token & {
    service: string;
    videoID: string;
};
export declare type VideoServicesOptions = {
    [VideoService.YouTube]: {
        width: number;
        height: number;
    };
    [VideoService.Vimeo]: {
        width: number;
        height: number;
    };
    [VideoService.Vine]: {
        width: number;
        height: number;
        embed: 'simple' | string;
    };
    [VideoService.Prezi]: {
        width: number;
        height: number;
    };
    [VideoService.Osf]: {
        width: string;
        height: string;
    };
};
export declare type VideoFullOptions = VideoServicesOptions & {
    url: VideoUrlFn;
};
export declare type VideoPluginOptions = Partial<VideoFullOptions>;
export declare type VideoUrlFn = (service: string, videoID: string, options: VideoServicesOptions) => string;
