import { Dictionary } from 'lodash';
import { StateCore } from './typings';
export declare function isFileExists(file: string): boolean;
export declare function resolveRelativePath(fromPath: string, relativePath: string): string;
export declare type GetFileTokensOpts = {
    getVarsPerFile?: (path: string) => Record<string, string>;
    vars?: Record<string, unknown>;
    disableLiquid?: boolean;
    disableLint?: boolean;
    lintMarkdown?: (opts: {
        input: string;
        path: string;
        sourceMap?: Dictionary<string>;
    }) => void;
    disableTitleRefSubstitution?: boolean;
    disableCircularError?: boolean;
    inheritVars?: boolean;
    conditionsInCode?: boolean;
};
export declare function getFileTokens(path: string, state: StateCore, options: GetFileTokensOpts): import("markdown-it/lib/token")[];
export declare const getFullIncludePath: (includePath: string, root: string, path: string) => string;
export declare function getSinglePageAnchorId(args: {
    root: string;
    currentPath: string;
    pathname?: string;
    hash?: string | null;
}): string;
