import { Rule } from 'markdownlint';
import { Options } from './typings';
import { Dictionary } from 'lodash';
import { Logger, LogLevels } from '../log';
declare function yfmlint(opts: Options): void;
export = yfmlint;
declare namespace yfmlint {
    interface LintMarkdownFunctionOptions {
        input: string;
        path: string;
        sourceMap?: Dictionary<string>;
    }
    interface PluginOptions {
        log: Logger;
        path?: string;
        disableLint?: boolean;
        lintMarkdown?: (opts: LintMarkdownFunctionOptions) => void;
        [key: string]: unknown;
    }
    interface LintConfig {
        default?: boolean;
        'log-levels': Record<string, LogLevels>;
        [x: string]: unknown;
    }
    type LintRule = Rule;
}
