"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yfm002 = void 0;
exports.yfm002 = {
    names: ['YFM002', 'no-header-found-for-link'],
    description: 'No header found in the file for the link text',
    tags: ['links'],
    function: function YFM002(params, onError) {
        const { config } = params;
        if (!config) {
            return;
        }
        params.tokens
            .filter((token) => {
            return token.type === 'inline';
        })
            .forEach((inline) => {
            var _a;
            (_a = inline.children) === null || _a === void 0 ? void 0 : _a.filter((child) => {
                return child.type === 'link_open';
            }).forEach((link) => {
                // @ts-expect-error bad markdownlint typings
                if (link.attrGet('YFM002')) {
                    onError({
                        lineNumber: link.lineNumber,
                        context: link.line,
                    });
                }
            });
        });
    },
};
//# sourceMappingURL=yfm002.js.map