"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yfm008 = void 0;
exports.yfm008 = {
    names: ['YFM008', 'term-inside-definition-not-allowed'],
    description: 'Term inside definition not allowed',
    tags: ['term'],
    function: function YFM008(params, onError) {
        const { config } = params;
        if (!config) {
            return;
        }
        params.tokens
            .filter((token) => {
            return token.type === '__yfm_lint';
        })
            .forEach((term) => {
            // @ts-expect-error bad markdownlint typings
            if (term.attrGet('YFM008')) {
                onError({
                    lineNumber: term.lineNumber,
                    context: term.line,
                });
            }
        });
    },
};
//# sourceMappingURL=yfm008.js.map